Bug 91897 - quotas broken with 2.4.20-13.7 kernel
Summary: quotas broken with 2.4.20-13.7 kernel
Status: CLOSED DUPLICATE of bug 91432
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: Security
Depends On: 90914
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-05-29 15:14 UTC by Need Real Name
Modified: 2007-04-18 16:54 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 18:53:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2003-05-29 15:14:16 UTC
Description of problem:

After running up2date recently and upgrading the kernel to
2.4.20-13.7, quotas stopped working.

When trying to turn quotas on, this produces an error:
#> quotaon -auv
quotaon: using /export/home/quota.user on /dev/sda5: Invalid argument
quotaon: using /export/home1/quota.user on /dev/sdb1: Invalid argument
quotaon: using /export/home2/quota.user on /dev/sdb3: Invalid argument
#> uname -a
Linux clamp.thebook.com 2.4.20-13.7smp #1 SMP Mon May 12 12:31:27 EDT 2003 i686 
unknown


Rebooting to the previous kernel (2.4.18-27.7.xsmp) the quotas work
fine.
#> quotaon -auv
/dev/sda5 [/export/home]: user quotas turned on
/dev/sdb1 [/export/home1]: user quotas turned on
/dev/sdb3 [/export/home2]: user quotas turned on
#> uname -a 
Linux clamp.thebook.com 2.4.18-27.7.xsmp #1 SMP Fri Mar 14 05:52:30 EST 2003 
i686 unknown

Version-Release number of selected component (if applicable):
2.4.20-13.7 

How reproducible:
always

Steps to Reproduce:
1.boot to 2.4.20-13.7  kernel
2. quotaon -auv

Actual results:
quotaon: using /export/home/quota.user on /dev/sda5: Invalid argument
quotaon: using /export/home1/quota.user on /dev/sdb1: Invalid argument
quotaon: using /export/home2/quota.user on /dev/sdb3: Invalid argument
    

Expected results:
/dev/sda5 [/export/home]: user quotas turned on
/dev/sdb1 [/export/home1]: user quotas turned on
/dev/sdb3 [/export/home2]: user quotas turned on


Additional info:
Related to bug # 90939 - same kernel for RH 7.3

Comment 1 Mark J. Cox 2003-05-29 16:29:08 UTC

*** This bug has been marked as a duplicate of 91432 ***

Comment 2 Red Hat Bugzilla 2006-02-21 18:53:18 UTC
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.


Note You need to log in before you can comment on or make changes to this bug.